- [HTTP request](https://docs.cloud.google.com/database-migration/docs/reference/rest/v1alpha2/projects.locations.migrationJobs/patch#body.HTTP_TEMPLATE)
- [Path parameters](https://docs.cloud.google.com/database-migration/docs/reference/rest/v1alpha2/projects.locations.migrationJobs/patch#body.PATH_PARAMETERS)
- [Query parameters](https://docs.cloud.google.com/database-migration/docs/reference/rest/v1alpha2/projects.locations.migrationJobs/patch#body.QUERY_PARAMETERS)
- [Request body](https://docs.cloud.google.com/database-migration/docs/reference/rest/v1alpha2/projects.locations.migrationJobs/patch#body.request_body)
- [Response body](https://docs.cloud.google.com/database-migration/docs/reference/rest/v1alpha2/projects.locations.migrationJobs/patch#body.response_body)
- [Authorization scopes](https://docs.cloud.google.com/database-migration/docs/reference/rest/v1alpha2/projects.locations.migrationJobs/patch#body.aspect)
- [Examples](https://docs.cloud.google.com/database-migration/docs/reference/rest/v1alpha2/projects.locations.migrationJobs/patch#examples)
- [Try it!](https://docs.cloud.google.com/database-migration/docs/reference/rest/v1alpha2/projects.locations.migrationJobs/patch#try-it)

Updates the parameters of a single migration job.

### HTTP request

Choose a location:
<button value="global" default="">global</button> <button value="africa-south1">africa-south1</button> <button value="asia-east1">asia-east1</button> <button value="asia-east2">asia-east2</button> <button value="asia-northeast1">asia-northeast1</button> <button value="asia-northeast2">asia-northeast2</button> <button value="asia-northeast3">asia-northeast3</button> <button value="asia-south1">asia-south1</button> <button value="asia-south2">asia-south2</button> <button value="asia-southeast1">asia-southeast1</button> <button value="asia-southeast2">asia-southeast2</button> <button value="asia-southeast3">asia-southeast3</button> <button value="australia-southeast1">australia-southeast1</button> <button value="australia-southeast2">australia-southeast2</button> <button value="europe-central2">europe-central2</button> <button value="europe-north1">europe-north1</button> <button value="europe-north2">europe-north2</button> <button value="europe-southwest1">europe-southwest1</button> <button value="europe-west1">europe-west1</button> <button value="europe-west10">europe-west10</button> <button value="europe-west12">europe-west12</button> <button value="europe-west15">europe-west15</button> <button value="europe-west2">europe-west2</button> <button value="europe-west3">europe-west3</button> <button value="europe-west4">europe-west4</button> <button value="europe-west6">europe-west6</button> <button value="europe-west8">europe-west8</button> <button value="europe-west9">europe-west9</button> <button value="me-central1">me-central1</button> <button value="me-central2">me-central2</button> <button value="me-west1">me-west1</button> <button value="northamerica-northeast1">northamerica-northeast1</button> <button value="northamerica-northeast2">northamerica-northeast2</button> <button value="northamerica-south1">northamerica-south1</button> <button value="southamerica-east1">southamerica-east1</button> <button value="southamerica-west1">southamerica-west1</button> <button value="us-central1">us-central1</button> <button value="us-central2">us-central2</button> <button value="us-east1">us-east1</button> <button value="us-east4">us-east4</button> <button value="us-east5">us-east5</button> <button value="us-east7">us-east7</button> <button value="us-south1">us-south1</button> <button value="us-west1">us-west1</button> <button value="us-west2">us-west2</button> <button value="us-west3">us-west3</button> <button value="us-west4">us-west4</button> <button value="us-west8">us-west8</button>   
`PATCH https://datamigration.googleapis.com/v1alpha2/{migrationJob.name}`

<br />

### Path parameters

| Parameters ||
|---|---|
| `migrationJob.name` | `string` The name (URI) of this migration job resource, in the form of: projects/{project}/locations/{location}/migrationJobs/{migrationJob}. |

### Query parameters

| Parameters ||
|---|---|
| `updateMask` | ``string (`https://protobuf.dev/reference/protobuf/google.protobuf#field-mask` format)`` Required. Field mask is used to specify the fields to be overwritten in the migration job resource by the update. This is a comma-separated list of fully qualified names of fields. Example: `"user.displayName,photo"`. |
| `requestId` | `string` A unique id used to identify the request. If the server receives two requests with the same id, then the second request will be ignored. It is recommended to always set this value to a UUID. The id must contain only letters (a-z, A-Z), numbers (0-9), underscores (_), and hyphens (-). The maximum length is 40 characters. |

### Request body

The request body contains an instance of `https://docs.cloud.google.com/database-migration/docs/reference/rest/v1alpha2/projects.locations.migrationJobs#MigrationJob`.

### Response body

If successful, the response body contains an instance of `https://docs.cloud.google.com/database-migration/docs/reference/rest/Shared.Types/ListOperationsResponse#Operation`.

### Authorization scopes

Requires one of the following OAuth scopes:

- `https://www.googleapis.com/auth/cloud-platform`
- `https://www.googleapis.com/auth/cloud-datamigration
  `

For more information, see the [Authentication Overview](https://docs.cloud.google.com/docs/authentication#authorization-gcp).